import { PropsWithChildren } from "react";
import { Link } from "react-router-dom";

export function RouterLink(
  p: PropsWithChildren<{ to: string }>
): React.ReactElement {
  return (
    <Link to={p.to} style={{ color: "inherit", textDecoration: "inherit" }}>
      {p.children}
    </Link>
  );
}
